Bug 800622 - make default home page of fedoraproject.org conditional
make default home page of fedoraproject.org conditional
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Martin Stransky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-06 14:47 EST by Bill Nottingham
Modified: 2014-03-16 23:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-13 10:30:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2012-03-06 14:47:09 EST
Description of problem:

Can we have something like:

diff --git a/firefox.spec b/firefox.spec
index 8a333a9..f7a38c4 100644
--- a/firefox.spec
+++ b/firefox.spec
@@ -5,7 +5,11 @@
 %define separated_plugins 0
 %endif
 
+%if 0%{?fedora}
 %define homepage http://start.fedoraproject.org/
+%else
+%define homepage file:///usr/share/doc/HTML/index.html
+%endif
 %define default_bookmarks_file %{_datadir}/bookmarks/default-bookmarks.html
 %define firefox_app_id \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
 
in the package, for derived distributions?

Version-Release number of selected component (if applicable):

10.0
Comment 1 Martin Stransky 2012-03-06 17:22:45 EST
What do you mean with "derived distributions"? RHEL7?
Comment 2 Bill Nottingham 2012-03-07 11:15:43 EST
RHEL, CentOS, spins, others that may or may not exist.
Comment 3 Martin Stransky 2012-03-13 10:30:20 EDT
Added to FF11.

Note You need to log in before you can comment on or make changes to this bug.